Introduction

Thank you for using Microsoft Pinyin IME (MSPY). MSPY is a Chinese character input tool with many features designed to cater to your needs. Whether you are a computer expert, or a complete novice, MSPY is developed to be easy to use, and quick to master.

MSPY provides two separate input styles, Microsoft Pinyin New Experience Input Style and Microsoft Pinyin ABC Input Style , which satisfy various typing and operating habits. We recommend you to use New Experience Input Style which may be able to offer you something extra. If you are used to the manual conversion mode of traditional IME, then you can choose ABC Input style.

Since MSPY adoptes pinyin as its input element, the only thing you have to know before using MSPY is the pronunciation of Chinese characters; any other special training or revision is unnecessary. Other than Pinyin, MSPY prepares two internal code input modes: GB18030 and Unicode, by which you can type Chinese characters through their codings.

Because of MSPY's continuous conversion, you can type all the pinyin of more than one word or phrase, and even a whole sentence, without needing to select candidates for each separate syllable. MSPY will choose the most suitable candidates and segment syllables automatically, which means you can type Chinese as smoothly and efficiently as when typing English.

MSPY also offers some extra features such as self-learning and user-defined phrase. By using these features, MSPY can learn and memorize your writing habits and most-used phrases quickly, thus become your powerful input assistant.

The pinyin of the Chinese characters collected in MSPY vocabulary has been examined and certificated by the State Language Committee.

Related Topics

© 2009 Microsoft Corporation. All rights reserved.

New Experience Input Style and Classic Input Style,
developed by Microsoft Corporation based on the IME jointly developed by Microsoft Corporation and Harbin Institute of Technology. © 2009 Microsoft Corporation and/or its suppliers. All rights reserved.

ABC Input Style,
developed on the basis of the Intelligent ABC Input Method that was developed under the lead of Professor Zhu Shoutao of Peking University. © 2009 Microsoft Corporation and/or its suppliers. All rights reserved.


Quick guide

If this is your first time to use MSPY, just follow the four steps below for a brief overview of the basic features and operation of Microsoft Pinyin New Experience Input Style.

The first step: open Microsoft Pinyin New Experience Input Style

Click the language button [image] on the language bar, then select the language "Chinese (PRC)" on the menu,

then, click the keyboard button [image] on the language bar and select "Microsoft Pinyin New Experience Input Style".

After that, MSPY buttons appear on the language bar:

The second step: type pinyin

There are many options in MSPY, you will be familiar with them during further practice. In this example, we use the default setting - MSPY New Experience Input Style. Type a sentence like this: "大家喜欢和她去打球", by typing all the pinyin continuously. As you type, you will see:

In the compose window, all the Chinese characters above the dotted line are the conversion result of the pinyin that you have typed, and the letters on the solid line in the reading window are the syllables that you are typing. You can use the LEFT/RIGHT arrow keys to move the cursor and then edit pinyin or Chinese characters in the reading/compose window.

The candidate window is below the pinyin. The first candidate is in blue and is the prediction of the conversion result present in the current pinyin string. If the prediction is correct, press SPACEBAR or 1 to confirm. Other candidates show all possible characters and phrases that the present syllables indicate. You can also press PAGE DOWN or PAGE UP to scroll the candidate window.

Notes

  • The MSPY default setting supports the simplified pinyin input. For some commonly-used phrases, you can type their initial directly. For example, you can type "dj" for "大家".
  • In input mode, you can scroll through the candidate window by pressing the PLUS SIGN (+) or MINUS SIGN (-), and PAGE UP or PAGE DOWN. However, you can not move the cursor by using the UP ARROW or DOWN ARROW keys.

The third step: modify the conversion result

In the second step, you learnt how to type pinyin, check, and then select the candidate. Usually, most conversion results predicted by MSPY are correct, but incorrect conversions are inevitable. In these situations, mis-conversions can be corrected during the input process or after typing the whole sentence.

As an example, after typing the pinyin of the whole sentence, it may be necessary to change "他" into "她". Move the cursor before "他" with the LEFT or RIGHT ARROW keys:

In error correction mode, the Candidate Window is a little bit different from the one in step two. There is a No.0 pinyin candidate, it is used to helping you to re-edit the syllables if you typed wrong. In this example, we select the second candidate by pressing 2.

Notes

  • In error correction mode, you can move the cursor in the candidate window by using the UP or DOWN ARROW keys, and scroll candidates by PLUS SIGH or MINUS SIGH and PAGE UP or PAGE DOWN.

The fourth step: confirmation

If all the content in the compose/reading window are just what you want, press ENTER or SPACEBAR to confirm.

The underline will disappear, and the characters you have confirmed are transferred to the text editor. You have typed your first Chinese sentence using MSPY.

Notes

  • Press ENTER, all the content in the compose/reading window, including the converted Chinese characters and the unconverted pinyin, will be confirmed.
  • Press the SPACEBAR, if all the pinyin has already been converted into Chinese characters and the cursor rests at the end of the compose window, then the content in the compose window will be confirmed.

Related Topics


Status bar

MSPY status bar is integrated into the language bar of your operating system. The MSPY buttons on the language bar can be customized shown below, but they can be customized.

Clicking the button on the status bar will switch input states or open MSPY option menu windows. Below is a chart showing the function of each button.

Function | Button | Open a menu
IME selection | MSPY |
Input style selection | New Experience Input Style Classic input style |
Internal code input | Unicode input GB code input |
Switch between Chinese/English | Chinese English | Not available
Switch between Full-width/half-width | Full-width Half-width symbol | Not available
Switch between Chinese/English punctuation | Chinese punctuation English punctuation | Not available
Character set selection | Simplified Chinese Traditional Chinese Extended character set |
Using soft keyboard | Switch of soft keyboard | Not available
Using IME pad | Switch of IME Pad | Not available
Open option menu | MSPY option menu |
Open help file | Help file |


Reading window and compose Window

Reading window shows the pinyin string you are typing and compose window shows the converted Chinese characters. A solid underline indicates pinyin syllables you are currently typing, the dotted line underscores the conversion result. MSPY will convert pinyin to Chinese characters automatically, but you also can press the SPACEBAR to manually convert.


Candidate window

Operation in candidate window

Candidate window lists homonyms and possible phrases for the inputted text. You can select the correct candidate by using the mouse or numerical keys. Candidate window appears in the following two situations:

Candidate prompt

If Candidate prompt is enabled, candidate window will always be companied with the pinyin you type, as below:

Candidate No.1 showing in blue is the conversion result that MSPY predicts for you, which can be selected by pressing SPACEBAR. Other candidates list the Chinese characters or phrases corresponding with the pinyin, which can be selected by pressing the corresponding numerical key, or clicking it directly. You can use the following keys to scroll the candidate window: PAGE UP or PAGE DOWN, PLUS SIGN or MINUS SIGN, and brackets.

Error correction

When you modify the content in the compose window, there will be a candidate window near the cursor, as below:

This candidate window is a little different from the one in Prompt mode.

  • It contains a sorting arrow [image] (or [image] in a vertical candidate window). Clicking this arrow will open the candidate sorting menu, on where you can select the proper sorting method for candidates.
  • The UP ARROW and DOWN ARROW keys can be used to locate the candidate, press the SPACEBAR to confirm. To scroll over the candidates, please use these key pairs: PAGE UP or PAGE DOWN, PLUS SIGN or MINUS SIGN, and brackets.
  • Candidate "0" displays the pinyin of Chinese character or phrase next to cursor. You can re-edit pinyin by selecting number "0" candidate.

Notes

  • The pinyin candidate is only supported in MSPY New Experience Input Style.

Display style of candidate window

There are three display styles for candidate window: Horizontal, Vertical and 2-D. You can select horizontal or vertical on the MSPY property sheet. 2-D is an extension of vertical style.

Horizontal

The candidates are arranged from left to right. The number of the candidates in the window depends on the length of each individual candidate.

Vertical

There are always nine candidates on one screen.

Two-dimensional

2-D candidate window displays more candidates than the other two styles, but 2-D window can only be used when vertical style is selected, and the window is in error correction mode.

Below is a vertical candidate window in error correction mode. Click the button [image] or press the TAB key, to expand to 2-D.

Click the button [image] on 2-D candidate window or press the TAB key, to shrink the 2-D candidate window back to vertical mode.


Soft keyboard

The soft keyboard is used for typing special symbols that cannot otherwise be inputted using the standard wester-style keyboard.

Open/close soft keyboard

  • Click the soft keyboard button [image] on the status bar

Layout of soft keyboard

MSPY dedicates thirteen kinds of layout of soft keyboard:

PC keyboard

Greek alphabet keyboard

Russian alphabet keyboard

Phonetic symbols keyboard

Pinyin letters keyboard

Japanese hiragana keyboard

Japanese katakana keyboard

Punctuation marks keyboard

Math numbers keyboard

Math symbols keyboard

Table symbols keyboard

Chinese numbers/units keyboard
Special symbols keyboard

Select soft keyboard layout

  1. Open the MSPY option menu
  2. Click Soft Keyboard
  3. Click the layout you want from the soft keyboard layout menu


Option menu

Open option menu

  • Click option menu button [image] on the status bar


Property sheet

Open property sheet

  1. Open MSPY option menu

  2. Click Options on the option menu

Set options

There are two tabs on MSPY property sheet:

General

On this tab, you can set input style, select pinyin mode, view candidate list, and toggle between Chinese and English input.

Related Topics

Advanced

On this tab, you can select Pinyin Style, Candidate Style, Character Set, select [Enter] Key Function, enable self-learning and user-definded phrase.


New Experience Input Style

While using this input style, there are couples of unconverted pinyin syllables displayed simultaneously in the Reading window, MSPY converts them into Chinese characters automatically, eliminating the reading window flicker.

You can edit both converted Chinese characters and unconverted pinyin by using the LEFT ARROW and RIGHT ARROW keys.

Using New Experience Input Style, when you type a capital letter, MSPY will regard it and suceeding letters as English and stop converting until you confirm so. In addition, MSPY can distinguish web server or mail address containing http, ftp or mailto prefixes.


Classic input style

Classic input style was typically used in the previous versions of MSPY. If you are familiar with MSPY 3.0 or the earlier versions, you may like to choose this input style in MSPY.

Using the Classic Input style, a pinyin syllable will be converted into a Chinese character automatically when you start typing the next one.


Full pinyin

In the full pinyin mode, you must type complete pinyin syllables of Chinese characters. For example, if you want to type "一只可爱的小花猫", then every letter of the pinyin string "yizhikeaidexiaohuamao" is required.


Simplified pinyin

In the simplified pinyin mode, you only need to type the initial of a syllable, so for example, "zhg" is converted to "中国," and "dj" to "大家." Simplified pinyin mode reduces keystrokes, but increases the number of candidates and thus lowers the accuracy of auto-conversion.

To increase the accuracy of auto-conversion, it is recommended to use Full Pinyin mode.


Double pinyin

Using double pinyin mode, every Chinese character is typed by two keystokes: one for its initial and the other for its final. Double pinyin mode reduces keystrokes and improves input speed; however, you must memorize the keyboard scheme.

Set MSPY Double Pinyin Scheme

Double Pinyin Scheme maps every key to an initial and/or final, which can be customized by you. Below is the MSPY default keyboard scheme.

Define double pinyin scheme

  1. Open MSPY property sheet
  2. Click the Advanced Tab

  3. Click the button Double Pinyin Scheme
  4. Click the button New Scheme
  5. Define initial and/or final for each key
  6. Click the button Save As, name the scheme, and then click Save


Chinese/English mixed input

In Chinese/English mixed input mode, you can type English words and pinyin continuously without switching between Chinese and English states. MSPY distinguishs between English and Chinese words and selects the appropriate conversion according to the context. This mode is suitable for the Chinese text which has many English words within it.


Fuzzy pinyin

Overcoming accent is not an easy thing when using Pinyin, which is based on the pronunciation of putonghua(普通话). Chinese characters that sound alike can often confused with one another. Using fuzzy input mode, MSPY will provide candidates regardless of local accent.

After setting fuzzy pairs, whenever you type a commonly confused pinyin pair, the similar syllables is shown in the candidate window as well. For example: after setting the "sh-s" fuzzy pair, when you type "si", both "四" and "十" will be shown. MSPY supports the following eleven fuzzy pairs:

Fuzzy pair | Default | Fuzzy pair | Default
zh, z | Yes | f, hu | No
ch, c | Yes | wang, huang | Yes
sh, s | Yes | an, ang | Yes
n, l | No | en, eng | Yes
l, r | No | in, ing | Yes
f, h | No |  |

Set fuzzy pairs

After enabling Fuzzy Pinyin, you can use the fuzzy pairs schemes used by MSPY as the default, as well choosing your own fuzzy pairs.

  1. Open MSPY property sheet, click the Advanced Tab

  2. In the Pinyin Style area, click the button Fuzzy Pairs Setting
  3. Select the fuzzy pairs in Fuzzy Pairs List

  4. Click the button OK


Inline define phrases

When you are typing Chinese characters using MSPY, you can define your own phrases inline, as follows:

  1. Make sure Enable user-defined phrase is selected
  2. Select the Chinese characters you want to define as a phrase in the compose window

  3. Press ENTER

Notes

  • The phrase defined inline can only be composed of two to nine Chinese characters, and will not be added to the main MSPY lexicon.


Confirmation

If you press ESC before confirming, the content of the compose/reading window will be completely lost. You can press ENTER or SPACEBAR to confirm the content of the reading/compose window.

  • Press ENTER: all content in the reading/compose window, including the unconverted pinyin, will be transferred to the editor.

    Case one: pinyin in the reading window

    Before ENTER is pressed:

    After ENTER is pressed:

    Case two: no reading window

    Before ENTER is pressed:

    After ENTER is pressed:

  • Press the SPACEBAR: if there is still unconverted pinyin in the reading window, it will be converted to Chinese characters first, then transferred to the editor.

    Case one: pinyin in the reading window

    Before the SPACEBAR is pressed:

    After the SPACEBAR is pressed:

    Case two: no reading window

    Before the SPACEBAR is pressed:

    After the SPACEBAR is pressed:

Note

  • [Enter] key can be customized by selecting Compose Direct Input or Pinyin Conversion(same as SPACE) in the [Enter] key function area.


Pinyin recall

Before confirmation, the Chinese characters in the compose window can be reconverted into pinyin and edited.

In New Experience Input Style, this process can be completed by selecting candidate 0 from the candidate window. Additionally, you can press SHIFT+BACKPACE or the grave accent (`) to recall the pinyin using any input style.

  • Using SHIFT+BACKSPACE to reconvert the Chinese character on the left side of the cursor.

    Step 1: move cursor to the right side of the Chinese character

    Step 2: press SHIFT+BACKSPACE

  • Using grave accent (`) to reconvert the Chinese character on the right side of the cursor.

    Step 1: move cursor to the left side of the Chinese character

    Step 2: press grave accent (`)


Input style

  1. Open MSPY property sheet

  2. In the Input Style area, click the style you want to use
  3. Click OK


Select pinyin mode

  1. Open MSPY property sheet

  2. In the Pinyin Style area, select the proper pinyin mode
  3. Click OK


Chinese/English input switching key

  1. Open MSPY property sheet

  2. Click the Shift or Ctrl in Chinese/English Input Switching Key area.
  3. Click OK


Candidate style

Select Candidate prompt

  1. Open MSPY property sheet

  2. Click the Candidate Prompt check box in the Input Style area
  3. Click OK

Set candidate window style

  1. Open MSPY property sheet, and click the Advanced Tab
  2. In the Candidate Style area, click the Horizontal or Vertical option button
  3. Click OK

Use word prediction

  1. Open MSPY property sheet, and click the Advanced Tab

  2. In the Candidate Style area, click the Word Prediction check box
  3. Click OK

Show pinyin candidate

  1. Open MSPY property sheet, and click the Advance Tab
  2. In the Candidate Style area, click the Show Pinyin Candidate check box
  3. Click OK

Notes

  • Word Prediction is only available when Candidate prompt has been selected.
  • Show Pinyin Candidate is only available in New Experience Input Style.


Character set

By selecting the appropriate Chinese character set, you can type Chinese characters more efficiently and not be overwhelmed by too many candidates. MSPY provides three series of character set:

  • Simplified Chinese contains commonly-used characters of modern Chinese.
  • Traditional Chinese contains traditional and substandard characters and inherited characters.
  • Extended Character Set is the combination of simplified and traditional Chinese character set, covering most GBK Chinese characters and symbols.

Select character set

  1. Open MSPY property sheet, click the Advanced Tab

  2. Click the character set you want in the Character Set area
  3. Click OK

You also can select character set as follows:

  1. Click the character set button [image], [image] or [image] on the status bar
    or
  2. Click the proper character set on character set menu


Self-learning

The feature of self-learning in MSPY has been improved from previous versions in two ways:

  • learning capability
    and
  • learning speed.
    Furthermore, you can move self-learnt phrases into the user-defined phrase dictionary with the user-defined phrase tool.

    Enable self-learning

    1. Open MSPY property sheet
    2. Click the Advanced Tab

    3. In the Dictionary Setting area, click the Enable Self-learning check box
    4. Click OK

    Clear the content of self-learning

    1. Open MSPY property sheet
    2. Click the Advanced Tab
    3. In the Dictionary Setting area, click the Clear Slef-learning Content button
    4. Click OK on the popup dialog box


User-defined phrases

User-defined phrase

By using this feature, you can define phrases which are not in the MSPY main lexicon, and assign shortcut keys for each phrase defined.

MSPY supports two kinds of user-defined phrase: standard and extended. The standard user-defined phrases are composed of two to nine Chinese characters and can be typed by pinyin. The extended user-defined phrases are composed of two to 255 Chinese characters, English letters and punctuation marks (excluding control characters, such as space and tab) and can only be typed using a shortcut key.

 | Standard phrase | Extended phrase
Compose | 2-9 Chinese characters | 2-255 Chinese characters, English letters and symbols
Define | Inline define, user-defined phrase tool | User-defined phrase tool only
Type | Pinyin, or shortcut key | Shortcut key only

Enable user-defined phrase

  1. Open MSPY property sheet
  2. Click the Advanced Tab

  3. In the Dictionary Setting area, click Enable User-defined Phrase check box
  4. Click OK

Clear user-defined phrases

  1. Open MSPY property sheet
  2. Click the Advanced Tab
  3. In the Dictionary Setting area, click the Clear User-defined Phrases button
  4. In the popup dialog box that appears, click OK


How to input radical

A radical is the basic component of a Chinese character. Some radicals are also Chinese characters in their own right: 山, 马, 日, 月, for example. This kind of radical can be typed directly using its pronunciation in Pinyin.

Some radicals are not stand-alone Chinese characters, for example: 冫(liang dian shui), 纟(jiao si pang). For these radicals, MSPY names them after the pronunciation of the first character of their names, for example, "liang" for "冫", and "jiao" for "纟".

The following table shows the radical, its name, and its pinyin entry. The radicals without parentheses can be typed using the simplified Chinese character set, the ones enclosed in parentheses must be typed using the traditional Chinese character set. All of them are supported in the extended character set.

Radical | Name | Pinyin
One stroke
丶 | Dian | dian
丨 | Shu | shu
(乛) | Zhe | zhe
Two strokes
冫 | Liang dian shui er | liang
冖 | Tu bao gai er | tu
亠 | Wen zi tou er | wen
讠 | Yan zi pang er | yan
刂 | Li dao pang er | li
亻 | Dan ren pang er | dan
卩 | Dan er pang er | dan
阝 | Zuo er dao er | zuo
(丷) | Ba zi tou er | ba
(丆) | Shi zi tou er | shi
冂 | Tong zi kuang | tong
Three strokes
辶 | Zou zhi er | zou
氵 | San dian shui er | san
忄 | Shu xin pang | shu
艹 | Cao zi tou | cao
宀 | Bao gai er | bao
(乊) | Hu zi tou | hu
彡 | San pie er | san
丬 | Jiang zi pang | jiang
扌 | Ti shou pang | ti
犭 | Fan quan pang | fan
饣 | Shi zi pang | shi
纟 | Jiao si pang | jiao
夂 | Zhe wen er Dong zi tou er | zhe dong
Four strokes
礻 | Shi zi pang | shi
攵 | Fan wen er | fan
(爫) | Zhao zi tou er | zhao
(罓) | Gang zi pang Wang zi pang | gang wang
(牜) | Niu zi pang | niu
Five or more strokes
疒 | Bing zi pang | bing
衤 | Yi zi pang | yi
钅 | Jin zi pang | jin
虍 | Hu zi tou er | hu
糸 | Jiao si pang | jiao
(罒) | Si zi tou er | si
(覀) | Xi zi tou er | xi
(糹) | Jiao si pang | jiao
(訁) | Yan zi pang | yan
(釒) | Jin zi pang | jin
(飠) | Shi zi pang | shi


How to input uncommonly-used characters with internal code

MSPY not only supports the Chinese character input by its pronunciation, but also by its hexadecimal code, including Unicode and GB18030. For example, "和" has a code as "548C" in Unicode, and "BACD" in GB18030.

Internal code input is the preferred method for typing Chinese characters of extended character sets that have more than one pronunciation.

Using internal code input

  1. Open MSPY option menu and go to Secondary Inputs.

  2. Click the internal code you want to use

    Note

    You can also input internal code by leading keys:

  • `U: Leading key for inputting Unicode. Typing `U548C, you will get "和".
  • `G: Leading key for inputting GB18030. Typing `GBACD, you will get "和".


How to input English

MSPY offers you some options to type English words and abbreviations in your Chinese document.

  • New Experience Input Style

    MSPY can identify English words typed entirely in upper-case.

  • ENTER

    Press ENTER before the English letters being converted into Chinese characters.

  • Chinese/English mixed input mode

    Using Chinese/English mixed input mode, MSPY automatically distinguishes English words from Chinese characters. This mode is suitable for typing Chinese text that contains a high number of English words.

  • Toggle between Chinese/English

    Click the Chinese/English toggle button ( [image] or [image]) on the status bar to switch the input mode.


How to use user-defined phrase tool

User-defined phrase tool is used to manage and maintain the user-defined phrase dictionary and/or self-learned phrases. For the user-defined phrase dictionary, you can edit and assign shortcut keys for each phrase, and import or export to a text file. For self-learned phrases, you can delete them, move them into the user-defined phrase dictionary, or export to a text file.

Open user-defined phrase tool

  1. Open MSPY option menu
  2. On the option menu, click User-defined Phrase Tool

Notes

  • There are two tabs on the interface of user-defined phrase tool: "User-defined Phrases" and "Self-learned Phrases". "User-defined Phrases" is opened as default.

Edit user-defined phrases

To open the Phrase Editor dialog box either:

  • Double click a phrase item
    or
  • Click the button [image] on the toolbar

Maintain self-learned phrases

To operate self-learned phrases, click the Self-learned Phrases tab. Each self-learned phrase can be deleted, move into the user-defined phrase dictionary, or exported to a text file.


Use shortcut key for user-defined phrases

By using user-defined phrase tool, you can assign shortcut keys for every user-defined phrase. A valid shortcut key is made up of two to eight digits and/or lowercase letters. Whilst using a shortcut key to type a phrase, a leading grave accent (`) and (Z) are required.

For example, a shortcut key "MSPY " is assigned for "微软拼音输入法", the following steps show how to type this phrase using its shortcut key.

  1. Type grave accent (`), Z, and "MSPY"
  2. Press the SPACEBAR

Notes

  • Make sure Enable User-defined Phrase is selected before using a shortcut key.
  • You must use the shortcut key at the beginning of the reading window.


Pinyin standard

Special initials and finals

MSPY uses the Chinese Pinyin Scheme approved in the first National People's Congress in 1958. However, some special intials and finals in the Chinese Pinyin Scheme have different input in MSPY, so that they are more easily inputted using a standard western keyboard.

The table below sumarizes the differences between MSPY and the Chinese Pinyin Scheme:

Chinese pinyin scheme | MSPY
ü | v
誒 ê | ea
噷 hm | hen
哼 hng | heng
呒 m | mu
嗯 n, ng | en

Tones

MSPY supports input with intonation. 1, 2, 3, and 4 represent the four tones of Chinese characters respectively, and 5 stands for "slight tone."

Syllable seperation

MSPY uses single quotation marks (') to seperate syllables when confusion may occur. You can also seperate the syllables by using the SPACEBAR or tone numerals.


Keyboard shortcuts

Frequently used shortcut keys in MSPY:

Shortcut | Action
SPACEBAR | Convert pinyin into Chinese character, or select the candidate
ENTER | Confirm the conversion
LEFT/RIGHT ARROW | Move in the reading window or compose window
HOME/END | Move to the beginning or the end of the reading window or compose window
UP/DOWN ARROW | Move in the candidate window
PAGEUP or PAGEDOWN | Scroll up or down in the candidate window
PLUS/MINUS SIGN | Scroll up or down in the candidate window
Brackets [] | Scroll up or down in the candidate window
SHIFT+BACKSPACE | Reconvert the Chinese character on the left side of the cursor back to pinyin
Grave accent ` | Reconvert the Chinese character on the right side of the cursor back to pinyin, or to type user-defined phrase by using a shortcut key

Other keyboard shortcuts relevant to IME.

Shortcut | Action
CTRL+SPACEBAR | Open/close IME
SHIFT | Switch between Chinese and English
CTRL+PERIOD | Switch between Chinese punctuation and English punctuation
SHIFT+SPACEBAR | Switch between full-width and half-width


Chinese punctuations

The table below shows Chinese punctuations supported by MSPY, and the relevant input keys. Chinese punctuation is displayed in full-width regardless of other formatting settings used.
Chinese punctuation | Symbol | Key | Note
Period | 。 | . |
Comma | ， | , |
Semicolon | ； | ; |
Pause mark | 、 | \ |
Colon | ： | : |
Question mark | ？ | ? |
Exclamation mark | ！ | ! |
Double quotation marks | “” | " | Auto pairing
Single quotation marks | ‘’ | ' | Auto pairing
Left book title mark | 《〈 | < | Auto nesting
Right book title mark | 》〉 | > | Auto nesting
Ellipsis | …… | ^ | Auto doubling
Dash | —— | _ | Auto doubling
Separation dot | · | @ |
Em dash | — | & |
RMB mark | ￥ | $ |


About MSPY vocabulary

The pinyin of the Chinese characters collected in MSPY vocabulary has been examined and certificated by the State Language Commission. The only exception is that MSPY retains the pinyin "ju2" for "桔", since in Modern Chinese Dictionary "桔" is considered as a popular form of "橘" and is more widely used.


ABC input style

ABC input style was designed on the basis of the Intelligent ABC Input Method, developed under the lead of Professor Zhu Shoutao at Peking University. Using ABC input style, there is no auto-conversion from pinyin to Chinese characters and instead the candidates are selected by pressing [SPACE] or [ENTER].


Full pinyin

If you are familiar with Chinese Pinyin, it is recommended you use Full Pinyin, which is more convenient and easier to use. When using Full Pinyin, the basic method is the same as Chinese Pinyin, with a couple of extra rules, given below.

Rules

  • It is best to type one word at a time, using SPACE or punctuation to seperate Chinese words. However it is also possible to input continuously, without seperating words manually. When the reading window is full, you will hear a warning beep to indicate that no more inputted text will be accepted.
  • Syllable-dividing marks are used as in the following example, using qin'aide (亲爱的):


Simplified pinyin

If you are not familiar with Chinese Standard Pinyin for a word, you can input using Simplified Pinyin. In the simplified pinyin mode, you only need to type the first letter of each syllable, rather than its initial and final. Below are some rules for inputting Chinese using Simplified Pinyin.

Rules

  • For the syllables including "zh, ch, sh（知、吃、诗）", you can type the first two letters. For example:
    Chinese Character | Full Pinyin | Simplified Pinyin
    计算机 | jisuanji | jsj
    长城 | changcheng | cc,cch,chc,chch
  • Syllable-dividing marks are used to discriminate between two seperate constanants written in Simplified Pinyin, and one constanant written in Chinese Standard Pinyin. For example:
    Chinese Character | Full Pinyin | Simplified Pinyin | Possible Ambiguity
    中华 | zhonghua | zhh,z□h | Simplified Pinyin "zh" is incorrect, because it's the compound consonant (复合声母) "知".
    愕然 | eran | e□r | Simplified Pinyin "er" is incorrect, because it's the full pinyin for "而" .


Double pinyin

Double pinyin mode reduces keystrokes and improves the input speed. To use this mode effectively however, a few rules need to be remembered.

Rules

  • Using double pinyin mode, every Chinese character is typed by two keystokes: one for its initial and the other for its final.
  • When inputing Chinese characters with no initial (零声母音节), "o" is typed instead of its initial, and its standard Chinese Pinyin will be displayed.

Note

  1. The following have no effect on Double Pinyin Keyboard:

    Upper-case letters;

    Leading key "u" for inputing user defined phrase and for inputing Structure Pinyin;

    Leading key "i" and "I" for inputing Chinese quantifier (数量词).

  2. To input Simplified Pinyin:

    Fully upper-case (no syllable-dividing mark):

    Chinese Character | Quanpin | Simplified Pinyin | Double Pinyin
    明枪暗箭 | mingqiang'anjian | mq'aj | MQAJ

    Insert stroke code or syllable-dividing mark:

    Chinese Character | Quanpin | Simplified Pinyin | Double Pinyin
    明枪暗箭 | mingqiang'anjian | mq'aj | m□Q□AJ
    天天 | tiantian | tt | t1t

    In Double Pinyin input mode, "v" substitutes for the initial "sh" (诗), so it's not possible to use "v + Number" to input GB2312 characters in rows（区） from 1 to 9, nor is it possible to use "v+ ASCII" to input westen letters either.


Stroke input

If you don't know Chinese Pinyin or the readings of specific Chinese characters, you can input with Strokes.

Rules

  • There are 8 basic strokes in ABC Input Style, the strokes are defined in the Stroke Table.
  • Get the stroke code in the order of its corresponding stroke order observed in calligraphy. For inputting any Chinese Character, strokes of up to 6 are accepted. Input stroke code "7" or "8" for the characters including stroke "十(7)" or "口(8)". For example:
    Chinese Character | Stroke Code
    韫 | 7158
    簪 | 314163
    果 | 87134
    丰 | 711
  • Simple Chinese Characters can be input just as Chinese Characters are written. For example:
    Chinese Character | 小 | 力 | 串 | 事 | 我 | 重 | 舟 | 兼 | 乎
    Stroke Code | 534 | 53 | 882 | 185115 | 315 | 44112 | 44515 | 4315 | 34315
  • Complex Chinese Characters can be divided into two parts by the structure of left-right, upper-lower or inner-outer, with up to 3 strokes for each part. If there are less than three strokes in the first part, then more strokes can be included for the second part. The second part can also be divided into two, and be coded in the same way.

    Examples：

    More than three strokes in the first part:

    Chinese Character | 筠 | 船 | 装 | 氧 | 肇 | 飒 | 敲
    Stroke Code | 314 713 | 335 36 | 412 413 | 311 431 | 451 57 | 414 367 | 418 217

    Less than three strokes in the first part:

    Chinese Character | 传 | 藓 | 蓟 | 国 | 花 | 做
    Stroke Code | 32 1154 | 72 358 4 | 72 358 2 | 8 1714 | 72 323 | 32 78 3
  • For some special Radicals, the coding is as follows:
    Chinese Character | 耳 | 非 | 忄 | 火 | 女 | 艹 | 廾 | 开 | 井 | 弗 | 凸 | 凹
    Stroke Code | 122 | 211 | 424 | 433 | 631 | 72 | 132 | 1132 | 1132 | 51532 | 25 | 26


Structure pinyin input

  • Structure Pinyin is mainly designed for use in inputting complex Chinese characters. If a Chinese character includes more than one readable part, input it in the order of it being written.
  • A Chinese Character is usually divided into two on the basis of the fact that most Chinese Characters are semantic-phonetic complexes, for example:
    瓞 =》 瓜 + 失 =》guashi[Enter]
  • If some parts of the character are unreadable (for high school level), the readable subparts in these can be input:
    坚 =》又 + 土 =》youtu [Enter]
    It's also possible to get the Chinese character, if only one part is readable.
  • Readable parts of up to 5 are accepted. The readings for them can be Quanpin, Simplified Pinyin, or their compound forms.


Quanpin/Simplified pinyin mixed input

With Quanpin/Simplified Pinyin Mixed Input, you can input Chinese Words or phrases using Quanpin for some syllables and Simplified Pinyin for others. Here we learn how to use this input method.

Rules

  • For words including two or more syllables, input some syllables using Quanpin and others using Simplified Pinyin. For example:
    Chinese Character | Quanpin | Simplified Pinyin
    金沙江 | jinshajiang | jinsj，jshaj
  • Syllable-dividing mark is more important in Mixed Input Mode. For example:
    Chinese Character | QuanPin | Mixed Pinyin | Possible Ambiguity
    历年 | linian | li□n | Using Mixed Pinyin, "lin" is incorrect, because it's the Pinyin for "林".
    单个 | dange | dan□g | Using Mixed Pinyin, "dang" is incorrect, because it's the Pinyin for "当".


Pinyin/Stroke mixed input

If you are familiar with using ABC Input Style, you can also input with Pinyin/Stroke Mixed Input. Using this method, the number of possible candidates is reduced when inputting, compared to Quanpin or Simplified Pinyin input mode.

Rules

  • （Pinyin＋[Stroke Code]）＋（Pinyin＋[Stroke Code]）＋.......＋（Pinyin＋[Stroke Code]）
    "Pinyin" can be Quanpin, Simplified Pinyin or Quanpin/Simplified Pinyin Mixed Pinyin in this input mode.
  • For the input of poly-syllables, "Pinyin" is the mandatory field, and the length of "Stroke Code" of up to 2 is the optional field.
  • For the monosyllable, full stroke input is valid. For example:
    Chinese Character | Enter | Description
    的 | d | Simplified Pinyin，no stroke
    对 | d5 | Simplified Pinyin, add 1 stroke：zhe(折)
    刀 | d53 | Simplified Pinyin, add 2 strokes：zhe(折), pie(撇)
    纛 | dao7 | Quanpin, add 1 stroke：cha(叉)
    形式 | xs | Simplified Pinyin, no stroke
    迅速 | xs7 | Simplified Pinyin, add 1 stroke to the second character: cha(叉)
    现实 | xs44 | Simplified Pinyin, add 2 strokes to the second character: dian(点)
    显示 | x8s | Simplified Pinyin, add 1 stroke to the first character: fang(口)
    蟋蟀 | x8s8 | Simplified Pinyin, add 1 stroke to each character: fang(口)


Basic procedure

  1. Start

    The inputting procedure starts after having pressed the first key.
    The first key can only be one of the 26 English letters (either upper or lower case).
    The keys i，I，u，v are leading keys with special functions.

  2. Input

    Various characters, including numerals, can comprise an input string, but for standard conversions, the input strings must conform to basic combination rules.

  3. Ending

    SPACE Key, Punctuations:
    Convert the input strings on the basis of word.
    Input commonly used characters.
    Finalize composition string if all the typing is converted.
    ENTER Key:
    Convert the input strings as Structure Pinyin.
    Input characters in Big Character Set.
    Finalize composition string if all typing is converted.
    "[", "]", "CTRL＋-" :
    Special ending keys.

  4. Modifying

    When pressing SPACE or ENTER, text conversion starts:

    • If the latest converted word doesn't have other homophones, the candidate window won't pop up. Otherwise
    • Candidate popup, containing the homophones for the latest converted composition phrase or chararacter.
    • Select the correct candidate by using the mouse or arrow keys, or revert to original input by using BACKSPACE.

      If the word boundary is correct, but the homophone is wrong, select the right one from the candidate window using the mouse or arrow keys.

      If the word boundary is wrong (larger than needed), change it by pressing BACKSPACE.

Note

  1. Using BACKSPACE will revert the last character of the composition string to the original input and so change the word boundary. This method can be used to choose the word boundary you need.
  2. Each time the word boundary is changed, the candidate window will refresh to show the corresponding candidate list for the very last phrase or chararacter of the composition string.
  3. BACKSPACE won't delete the inputted string whilst some of the converted text remains, but will if the entire composition string is reverted to the original inputted string.


Special keys

  • Keys definition
    Key | Name | Specification
    [SPACE]
  • Input commonly used characters
  • Input on the basis of word
  • Finalize composition string if all reading is converted
    • [ENTER]
  • Input characters in Big Character Set
  • Input as Structure Pinyin
  • Finalize composition string if all reading is converted
    • [ESC] | Escape Key | Delete All
    [CTRL+"-"] | Regain/Repeat Key | Recall recently typed phrases
    "["，"]"
    [PageUp],[PageDown]
    [Home],[End]     		PageUp/Down Key "]", [PageUp]: Go backward
    "[", [PageDown]: Go forward
    [Home]: Go to the first page; [End]: Go to the end page
    Digital keys:1～9
    [SHIFT]+Digital Keys     		Candidate Selection Key
  • Select candidate from candidate window
  • Select candidate when full stroke input
    • [CAPsLock] | Capital Letter Key | No result: Chinese Characters can only be input in lower case

  • Mouse operation

    Left mouse button used to select candidates.
    Effects as following when on icons：

    Go forward

    Go backward


Select pinyin mode

  1. Open property sheet

  2. In the PinYin Mode area, select the proper pinyin mode
  3. Click OK


Chinese/English input switching key

  1. Open property sheet

  2. Select the Shift or Ctrl in Chinese/English Input Switching Key area.
  3. Click OK


Candidate order adjusting

Enable candidate order adjusting

  1. Open property sheet

  2. In the Input Setting area, click Candidate Order Adjusting check box
  3. Click OK


Set stroke input

  1. Open property sheet

  2. In the Input Setting area, click the Stroke Input check box
  3. Click OK


Self-learning

Proper nouns such as a person's name or a place name, can be learned automatically by Microsoft Input System. The newly learned words can be input using Standard Chinese Pinyin just as basic words in the system are input.

For example, if you want to input phrase "军事技术学习", do the following:

User Action | Result
Input "jsjsxx" |
Press [SPACE] |
Press [←BACKSPACE] twice |
Select candidate 7 (军事) |
Press [←BACKSPACE] twice |
Press [SPACE] |
Select candidate 1 |

Note

  • Up to 17,000 entries can be included on the self-learned phrase list.
  • Each entry can be up to 9 characters long.
  • Newly learned words will be added to the User Phrase List after being used three times.


User defined phrase

User Defined Phrase Tool is used to define Chinese phrases with non-standard Pinyin. New phrases are directly added to User Defined Phrase List by using the User Defined Phrase Tool.

User-defined phrase tool

A User Defined Phrase includes two parts: the phrase, and its shortcut. Phrases can be up to 15 characters long, and are Chinese character strings or other characters combined with Chinese characters. The shortcut can be up to 9 characters using Chinese Pinyin or other non-Chinese characters. Here we learn how to add and delete User Defined Phrases.

Add a phrase

  1. Open property sheet,

  2. Click User Defined Phrase Tool button.
  3. Input a phrase and its shortcut in the Add New Phrase area.
  4. Click Add; the new defined phrase will be displayed in the Phrase List.

Delete a phrase

  • Select the phrase you want to delete in the Phrase List, then click Delete.

    Close the phrase list

  • Click Close in the Phrase List area.


Recollection

Recollection is a feature that allows you to recall recently typed phrases without having to manually type the whole thing again. To recall recently typed phrases press [CTRL+ "-"].

For example, you have typed following phrases not long ago,

  1. 基础教育研究会
  2. 上海
  3. 基础科学
  4. 基本粒子

    If you want to input "基础科学" again, then do the following:

    Enter | Result
    j
    [Ctrl+"-"]
    3 | 基础科学

Note

  • Pressing [CTRL+"-"] twice will repeat the phrase immediately preceding your cursor.
  • Recollection is good for inputting repeated "singleness content".


Candidate order adjusting

When the Candidate Adjust check box is selected, frequently used words will automatically move up the order in the candidate window. The frequency of words is recorded by Candidate Adjust automatically.

Note

  • For one character words, typing them twice in a short time will automatically move them up the order in the candidate window.


"i","I": Chinese quantifier quick input

The ABC Input Style makes it quick and easy to input Chinese numerical quantifiers.

  1. Leading key "i" or "I" can convert Arabic numerals to Chinese numerals.
    • "i": Leading key for inputting Chinese numerals in their normal form.
    • "I": Leading key for inputting Chinese numerals in their financial form.

  2. Definitions for Letters used in Chinese Number Quick Input:

    G [个] S [十，拾] B [百，佰] Q [千，仟]

    W [万] E [亿] Z [兆] D [第]

    N [年] Y [月] R [日] T [吨]

    K [克] $ [元] F [分] L [里]

    M [米] J [斤] O [度] P [磅]

    U [微] I [毫] A [秒] C [厘]

    X [升]

    Note

    • "i" or "I" followed by [SPACE] or [ENTER], will be converted to "一" or "壹" respectively.
    • "i" or "I" followed by Chinese punctuation (exclude "$") will be converted to "一" + punctuation, or "壹" + punctuation, respectively.


"[","]": Finding characters by inputting words

In order to reduce the number of candidates for certain syllable in Pinyin, simply type a poly-syllable word beginning or ending with the character you want. You can then use the "[" key to input the first character, or the "]" key to input the last character of the poly-syllable word. This method can be used for any word in the system wordlist, or for any User Defined Phrases.

Examples:

Enter | Result
xxrr |
If press [SPACE] key |
If press "[" key |
If press "]" key |


"u": User defined phrase input

"u" is the leading key for inputting User Defined Phrases.
For example, if you have already defined the phrase "国家语言文字工作委员会" as "gjyw" using User Defined Phrase Tool, then you can input this phrase as follows:

Enter | Result
ugjyw |
[SPACE] |


"v": Graphics symbols input

In the GB-2312 character set, rows (区) 1-9 contains all punctuation and other special characters.
When using ABC Input Style, typing "v" + a number from 1-9 lets you quickly access the corresponding row in the GB-2312 set, allowing you to access special characters more quickly and efficiently.


"v": English input while inputting pinyin

"v" is the leading key used to input English whilst in Pinyin mode, without having to switch between different modes. To input English whilst in Pinyin mode:

  • Press the "v" key, then type the English text you want, and press [SPACE] to finish.

    For example, if you want to input "Windows" in English whilst in Pinyin mode, do the following:

    Enter Result
    huanyingshiyong[SPACE]vWindows
    [SPACE]


Chinese punctuation

ABC Input Style allows you to input book title markers, either as double (《...》), or single (<...>) parentheses.

"<" and ">" are the keys for book title marker input. Press "<" once and you will get "《", press a second time to get "<". Typing ">" once at the end of a book's title will automatically produce the complementary marker, either ">" or " 》".


Special symbols for Chinese pinyin

Special Symbol | Example
Syllable-divided Mark[‘] | xian(先)，xi'an(西安)
[v] substitutes for [ü] | 女 nv=nü


Stroke definition

Stroke Code | Stroke | Stroke Name | Example | Note
1 | 一( [image] ) | heng(ti) | 二、要、厂、政 | ti(提) is included in heng(横)
2 | 丨 | 竖 | 同、师、少、党 |
3 | 丿 | 撇 | 但、箱、斤、月 |
4 | 丶（乀） | 点（捺） | 写、忙、定、间 | na(捺) is included in dian(点)
5 | （┐） | 折（竖弯勾） | 对、队、刀、弹 | clockwise multi-zhe(折), get it by its last zhe, such as "了"
6 | 乚 | 弯 | 匕、她、绿、以 | anticlockwise multi-zhe(折), get it by its last zhe, such as "乙"
7 | 十，（乂） | 叉 | 草、希、档、地 | limited to upright "cha"
8 | 囗 | 方 | 国、跃、是、吃 | square frame


Double Pinyin Keyboard Scheme

  1. Compound and no initial (零声母) characters
    Key | E | V | A | O（’）
    Initial | ch | sh | zh | no initial
  2. Final
    Key | Q | W | E | R | T | Y | U | I | O | P
    Final ei ian e iu,er uang
    iang     		ing u i uo
    o     		uan
    üan
    Key | A | S | D | F | G | H | J | K | L
    Final a ong
    iong     		ua
    ia     		en eng ang an ao ai
    Key | Z | X | C | V(ü) | B | N | M
    Final iao ie in
    uai     		ou un(ün) üe(ue),ui


Incomplete pinyin list

D=的 | L=了 | S=是 | Z=在
H=和 | J=就 | W=我 | T=他
B=不 | G=个 | N=年 | R=日
I=一 | Y=有 | X=小 | F=发
ZH=这 | SH=上 | CH=出 | P=批


Property sheet

Open property sheet

  1. Open ABC Property

  2. Click Options on the option menu